FreeMat

- Main Page
- Related Pages

vtkPComputeHistogram2DOutliers

Section: Visualization Toolkit Infovis Classes

# Usage

This class does exactly the same this as vtkComputeHistogram2DOutliers, but does it in a multi-process environment. After each node computes their own local outliers, class does an AllGather that distributes the outliers to every node. This could probably just be a Gather onto the root node instead.

After this operation, the row selection will only contain local row ids, since I'm not sure how to deal with distributed ids.

To create an instance of class vtkPComputeHistogram2DOutliers, simply invoke its constructor as follows

      obj = vtkPComputeHistogram2DOutliers

# Methods

The class vtkPComputeHistogram2DOutliers has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPComputeHistogram2DOutliers class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPComputeHistogram2DOutliers = obj.NewInstance ()`
- `vtkPComputeHistogram2DOutliers = obj.SafeDownCast (vtkObject o)`
- `obj.SetController (vtkMultiProcessController )`
- `vtkMultiProcessController = obj.GetController ()`